# Deprecated API

## Contents

- Interfaces
- Classes
- Methods

Deprecated Interfaces
Interface
Description
org.eclipse.birt.report.engine.api.script.element.IScriptAPIFactory

Deprecated Classes
Class
Description
org.eclipse.birt.report.engine.api.script.element.ScriptAPIFactory
org.eclipse.birt.report.engine.api.script.element.StructureScriptAPIFactory
replaced by methods in `IReportDesign` .

Deprecated Methods
Method
Description
org.eclipse.birt.report.engine.api.script.element.IDesignElement.getUserProperty(String)
org.eclipse.birt.report.engine.api.script.element.IImage.setURI(String)
Sets the image uri property. The source type is automatically set in this method. Whether `IMAGE_REF_TYPE_FILE` or `IMAGE_REF_TYPE_URL` depends on the uri to set.
org.eclipse.birt.report.engine.api.script.instance.IActionInstance.createDrillThrough(String, boolean, String, Map, Map, String, String)
Create a drillThrough instance. And set the parameters of the drillthrough:
org.eclipse.birt.report.engine.api.script.instance.IImageInstance.setURI(String)
Set the image URI
org.eclipse.birt.report.engine.api.script.instance.IScriptStyle.getBackgroundAttachement()
replaced by getBackgroundAttachment()
org.eclipse.birt.report.engine.api.script.instance.IScriptStyle.setBackgroundAttachement(String)
replaced by setBackgroundAttachment( String attachment )
org.eclipse.birt.report.engine.api.script.IRowData.getExpressionCount()
org.eclipse.birt.report.engine.api.script.IRowData.getExpressionValue(int)
Now do not support get expression value by index. Return the value of the i:th expression in the current row. Null will be return if the i:th expression doesn't exist.
org.eclipse.birt.report.engine.api.script.IRowData.getExpressionValue(String)
Return the value of the provided expression. The provided expression must have been bound to the current row. Otherwise, it returns null.